Subject: Re: bug#66394: 29.1; Make register-read-with-preview more useful

From: Bastien Guerry <[email-masked]>
Date: Sat, 02 Dec 2023 14:50:26 +0100

Thierry Volpiatto <[email-masked]> writes:

> Even better is this patch which ask for confirmation when overwriting a
> register but not when jumping, inserting or setting a new register:

Yes, this goes in the right direction, thanks!

The patch works fine when `register-use-preview' is nil. (I wonder if
the prompt "Register `%s' is empty" is not still displayed, though: I
believe I've seen it flash.)

When `register-use-preview' is t (the default), it skips confirmation
only when setting the _first_ empty register: when setting another
empty register, confirmation reappears.  Can you reproduce this bug?

-- 
 Bastien Guerry